# -*- mode: ruby -*-
# vi: set ft=ruby :
disk = './secondDisk.vdi'

Vagrant.configure("2") do |config|
    config.vm.box = "generic/ubuntu2004"
    
    config.vm.define 'ubuntu' do |node|    
        node.vm.network "private_network", ip: "192.168.100.10"
        node.vm.hostname = 'ubuntu.local'
        
        config.vm.provider "virtualbox" do |vb|
            vb.gui = false            
            vb.memory = "2048"
            vb.cpus   = "2"
            vb.name = "my_vm_vagrant_wsl"
            
            unless File.exist?(disk)
                vb.customize ['createhd', '--filename', disk, '--variant', 'Fixed', '--size', 8 * 1024] 
            end
            vb.customize ['storageattach', :id, '--storagectl', 'IDE Controller', '--port', 1, '--device', 0, '--type', 'hdd', '--medium', disk]          
        end

        node.vm.provision 'ansible' do |ansible|
            ansible.verbose = 'v'
            ansible.playbook = 'main.yml'                
        end
    end
end